package com.bbitcn.silk.utils.database;

import com.bbitcn.silk.model.net.QueryList;
import com.bbitcn.silk.model.net.ToTareSubmit;
import com.bbitcn.silk.model.net.TodayPrice;
import com.bbitcn.silk.utils.MMKVUtil;
import com.google.gson.Gson;
import com.google.gson.reflect.TypeToken;

import java.util.Iterator;
import java.util.List;

/**
 * @Description TODO
 * @Author DuanKaiji
 * @CreateTime 2024年04月03日 15:20:10
 */
public class PriceDataBase {

    public static final String PRICE_CATCH = "PRICE_CATCH";


    /**
     * 获取缓存
     *
     * @return 最小值，最大值
     */
    public static double[] getCatchById(String name) {
        String json = MMKVUtil.get(PRICE_CATCH, "[]");
        List<TodayPrice.DataDTO.ItemsDTO> temp = new Gson().fromJson(json, new TypeToken<List<TodayPrice.DataDTO.ItemsDTO>>() {
        }.getType());
        for (TodayPrice.DataDTO.ItemsDTO t : temp) {
            if (t.getName().equals(name)) {
                return new double[]{Double.parseDouble(t.getMinprice()), Double.parseDouble(t.getMaxprice())};
            }
        }
        return new double[]{0,0};
    }

    /**
     * 更新缓存
     * 注意：sgtypesysid
     *
     * @param data
     */
    public static void updateCatch(List<TodayPrice.DataDTO.ItemsDTO> data) {
        MMKVUtil.put(PRICE_CATCH, new Gson().toJson(data));
    }

}
